> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Share Class

> Retrieve share class information for specific symbols. Returns detailed share structure data including share class IDs, currency, and other related metadata.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "result": [
      {
        "company": {
          "primarySymbol": "AAPL",
          "primaryExchange": "NAS",
          "cik": "320193",
          "isin": "CA03785Y1007",
          "cusip": "03785Y100",
          "standardName": "Apple",
          "countryId": "USA",
          "isReit": false,
          "industryTemplateCode": "N",
          "businessCountryId": "USA",
          "isLimitedPartnership": false,
          "yearofEstablishment": 1977,
          "isLimitedLiabilityCompany": false
        },
        "shareClass": {
          "shareClassId": "0P000000GY",
          "companyId": "0C00000ADA",
          "symbol": "AAPL",
          "exchangeId": "NAS",
          "currencyId": "USD",
          "ipoDate": "1980-12-12",
          "isDepositaryReceipt": false,
          "securityType": "ST00000001",
          "shareClassStatus": "A",
          "isPrimaryShare": true,
          "isDividendReinvest": false,
          "isDirectInvest": false,
          "investmentId": "E0USA002US",
          "ipoOfferPrice": 28.75,
          "mic": "XNAS",
          "exchangeSubMarketGlobalId": "EX$$$$XNGS",
          "conversionRatio": 1.0,
          "parValue": 1e-05,
          "suspensionStatus": false,
          "marketDataId": "126.1.AAPL",
          "isPrimaryShare1031": true,
          "investmentPrimaryIssuer": true
        },
        "symbol": "AAPL",
        "idType": "SYMBOL",
        "id": "AAPL"
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/data-api-proxy_api.spec.yml GET /api/v2.1/fundamentals/shareClass
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API provides endpoints to search for fundamentals and get
    fundamental details.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/fundamentals/shareClass:
    get:
      tags:
        - Fundamentals
      summary: Get Share Class V2.1
      description: >-
        Retrieve share class information for specific symbols. Returns detailed
        share structure data including share class IDs, currency, and other
        related metadata.
      parameters:
        - description: Comma separated list of symbols (e.g., AAPL, MSFT)
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            Return results for dates greater than or equal date specified in
            this parameter (YYYY-MM-DD)
          in: query
          name: asOf
          schema:
            type: string
        - description: Specifies the time period of the returned results (e.g., Q1, 2023)
          in: query
          name: period
          schema:
            type: string
        - description: >-
            Report type: TTM (Trailing Twelve Months), A (As originally
            reported), R (Restated), P (Preliminary)
          in: query
          name: reportType
          schema:
            type: string
      responses:
        '200':
          description: Share class data
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - unsupported_message_type
        - database_query_error
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
      type: string
      x-enum-varnames:
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````